Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
operation-routes
/
{operation_route_id}
Recuperar una Ruta de Operación
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/operation-routes/{operation_route_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
  "organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
  "ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
  "account": {
    "ruleType": "alias",
    "validIf": [
      "@account1"
    ]
  },
  "code": "EXT-001",
  "description": "This operation route handles cash-in transactions from service charge collections",
  "operationType": "source",
  "title": "Cashin from service charge",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "createdAt": "2021-01-01T00:00:00Z",
  "deletedAt": "2021-01-01T00:00:00Z",
  "updatedAt": "2021-01-01T00:00:00Z"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

operation_route_id
string
requerido

The unique identifier of the Operation Route that you want to retrieve.

Respuesta

Indica que el recurso fue creado exitosamente y la operación se completó como se esperaba.

id
string<uuid>

El identificador único de la Ruta de Operación.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

El identificador único del Ledger.

title
string

Short text summarizing the purpose of the operation. Used as an entry note for identification.

code
string

An external reference used to identify the operation route.

Maximum string length: 100
description
string

Detailed description of the Operation Route purpose and usage.

operationType
enum<string>

The type of the Operation Route.

Opciones disponibles:
source,
destination
account
object

Defines the rule for selecting the account that will participate in the operation (debit or credit).

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.